#include <iostream>
#include <string>

using namespace std;

int main()
{
    string t;
    int b,e,x;
    bool f=0;
    cin>>t;
    for(int i=0;i<t.length();i++){
        if(f==0){
            if(t[i]=='b'){
                b=i;
                f=1;
            }
        }
        else if(f==1){
            if(t[i]=='b'){
                e=t.length()-i;
            }
        }
    }
    cout<<abs(e-b);

}